The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> iconv_close - codeset conversion deallocation function

#### SYNOPSIS

> ``[XSI] #include <iconv.h>
> int iconv_close(iconv_t` cd`);``
> `
> `

#### DESCRIPTION

> The iconv_close() function shall deallocate the conversion descriptor cd and all other associated resources allocated by iconv_open().

> If a file descriptor is used to implement the type iconv_t, that file descriptor shall be closed.

#### RETURN VALUE

> Upon successful completion, 0 shall be returned; otherwise, -1 shall be returned and errno set to indicate the error.

#### ERRORS

> The iconv_close() function may fail if:

> [EBADF]
>   The conversion descriptor is invalid.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> iconv(), iconv_open(), the Base Definitions volume of IEEE Std 1003.1-2001, <iconv.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the HP-UX Manual.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]